#### Previous topic

scipy.fftpack.cs_diff

#### Next topic

scipy.fftpack.ss_diff

# scipy.fftpack.sc_diff

`scipy.fftpack.``sc_diff`(x, a, b, period=None, _cache={})

  Return (a,b)-sinh/cosh pseudo-derivative of a periodic sequence x.

  If x_j and y_j are Fourier coefficients of periodic functions x and y, respectively, then:

      y_j = sqrt(-1)*sinh(j*a*2*pi/period)/cosh(j*b*2*pi/period) * x_j
      y_0 = 0

  Parameters:

  x : array_like

  > Input array.

  a,b : float

  > Defines the parameters of the sinh/cosh pseudo-differential operator.

  period : float, optional

  > The period of the sequence x. Default is 2*pi.

  Notes

  `sc_diff(cs_diff(x,a,b),b,a) == x` For even `len(x)`, the Nyquist mode of x is taken as zero.